過去ログ表示


過去ログ 231 を表示

トピック内全 15 記事中の 11 〜 15 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0] [1]

同じ症状の便法
(#36553) このトピック中11番目の投稿
(環境: Win98"/Firefox2.0)

ここに繋ぎます。

該当ページを IE で開いて詳細時間をクリック。私はこれで我慢しています(java 自体の問題ではないのでしょう)。

念のために、今回初めて、IE で成功した直後に、今し方、Fx からテストしてみると、なんと、こっちも成功しました。不思議ですけど。以上報告します。

Re[10]: JAVAスクリプトが実行されない
(#36556) このトピック中12番目の投稿
(環境: WinXP/SeaMonkey1.5)

> 最新版に戻すためj2re-1_4_2_13をアンインストール、jre-1_5_0_10をインストール

最新版は 1.6.0 だと思います。
試してみては?

Re[10]: Java1.5がFirefoxを認識していますか?
(#36563) このトピック中13番目の投稿
(環境: WinXP/SeaMonkey1.1)

2007/01/26(Fri) 12:31:36 編集(投稿者)

> Firefox側は何をやってもダメなのでjre-1_5_0_10を疑ってみました。
> まずjre-1_5_0_10をアンインストール、j2re-1_4_2_13をインストール
(中略)
> JAVAが動くようになりました。
> 最新版に戻すためj2re-1_4_2_13をアンインストール、jre-1_5_0_10をインストールしたら、またJAVAが起動しなくなりました。

> about:plugins の結果も、
> Java(TM) 2 Platform Standard Edition 5.0 Update 10
(中略)
> File name: C:\Program Files\Java\jre1.5.0_10\bin\NPOJI610.dll
とのことですが(Javaのプラグインが、FirefoxのPluginsに入っていない)、
Firefoxがすでにインストーラーできちんと導入されている状態で、Java 1.5を導入したあとの話ですか?

だとすると、Firefoxが1.5.0以降にバージョン番号を「X.Y.Z」でなく「X.Y.Z.A」と変えたせいか、Java 1.5のインストーラーが「X.Y.Z.A」だとFirefoxを認識できない、というような話かな?
(Firefox 1.5.0.1あたりの時のJava 1.5.0.xで、これが起こっていました)

コントロールパネルのJavaの設定の中に、Mozilla/Firefox/Netscape系のプラグインの有効・無効の設定があると思いますが、
この設定を「無効にする」(FirefoxのPluginsからJavaのプラグインを削除しようとする)、
あるいは、この設定を「有効にする」(FirefoxのPluginsにJavaのプラグインをコピーしようとする)、
と、どうなりますか?
(Javaのプラグインが、FirefoxのPluginsから削除されたりPluginsにコピーされたりしますか?)
Firefox側がPluginsからでなくプラグインサーチの機能でJavaのライブラリーからプラグインモジュールを持って来たとしても、
Java側でこの設定が有効でない場合にはJavaのプラグインは正常に動いてくれなかったような記憶が...

Javaが動かない
(#36573) このトピック中14番目の投稿
(環境: Win2000"/Firefox2.0)

2007/01/27(Sat) 01:22:00 編集(投稿者)

> とのことですが(Javaのプラグインが、FirefoxのPluginsに入っていない)、
> Firefoxがすでにインストーラーできちんと導入されている状態で、Java 1.5を導入したあとの話ですか?
>

そうです。何度もアンインストール再インストールを繰り返したのでそこは問題ありません。プラグインのdllはfirefoxのpluginsディレクトリにコピーされないのが通常動作だと思っているのですが違うのでしょうか?

> コントロールパネルのJavaの設定の中に、Mozilla/Firefox/Netscape系のプラグインの有効・無効の設定があると思いますが、
> この設定を「無効にする」(FirefoxのPluginsからJavaのプラグインを削除しようとする)、
> あるいは、この設定を「有効にする」(FirefoxのPluginsにJavaのプラグインをコピーしようとする)、
> と、どうなりますか?

"
Unable to change Browser Settings
MozillaおよびNetscapeがシステム上に正しくインストールされていることと、
システム設定の変更に必要なすべての権限が与えられていることを確認して
下さい。
"
とのエラーダイアログが出てチェックボックスを有効にすることが出来ません。
これもfirefox2.0と1.5.0使用時の正常状態だと思っております。


で、とある方法で問題が解決致しました。
Firefoxは設定ファイルがあるのでレジストリは使わないだろうという思いこみで見逃していたのですが
HKEY_LOCAL_MACHINE\SOFTWARE\Mozilla
HKEY_LOCAL_MACHINE\SOFTWARE\Mozilla.org
以下のFirefoxに関するすべてのレジストリを削除した上でfirefox2.0
をインストールした結果JAVAが動きました。
Mozilla、Firebird、旧バージョンのfirefoxのゴミが残っていたようです。

ありがとうございました。
済!
Re[12]: Javaが動かない
(#36810) このトピック中15番目の投稿
(環境: WinVista/Firefox2.0)

つい最近,同じ現象に出くわしました。
原因は,JAVA ランタイム にありました。
http://www.java.com/ja/ から最新のものにバージョンアップしてみてください。


[ 前のトピック内容10件 ]
このトピックの全ページ / [0] [1]

返信不可


- Child Tree -